provisioned_route_id — Filter by specific provisioned route IDdni_type — Filter by DNI type (e.g., SWAP, POOL)destination_url — Filter by destination URL (partial match)org_unit_id — Filter by org unit IDlimit — Records per page (max 1000, default 100)offset — Number of records to skip (default 0)sort_by — Field to sort by (call_flow_name, dni_type, destination_url) - default: call_flow_namesort_order — Sort direction (asc, desc) - default: asccurl --location 'https://platform-api.convirza.com/v3/dni?limit=&offset=&provisioned_route_id=&dni_type=&destination_url=&org_unit_id=&sort_by=&sort_order=' \
--header 'Authorization: Bearer <token>'{
"code": 200,
"message": "success",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2026-04-22T10:30:00.000Z",
"data": {
"dni_settings": [
{
"dni_setting_id": 456,
"dni_setting_name": "Google Paid Campaign",
"provisioned_route_id": 123,
"org_unit_id": 70035,
"destination_url": "https://example.com/landing",
"dni_type": "SWAP",
"dni_element": ".phone-number",
"referrer": "google",
"referrer_type": "organic",
"dni_active": true,
"last_verified": "2023-06-15T08:00:00.000Z",
"dni_setting_created": "2023-01-15T10:35:00.000Z",
"dni_setting_modified": "2023-06-15T08:00:00.000Z",
"identifier": "PHONE_NUMBER",
"dni_keywords": "google:paid:campaign",
"dni_number_format": "(xxx) xxx-xxxx",
"dni_code": "ABC123",
"custom_params": "utm_source,utm_campaign",
"dni_ttl": 30
}
],
"total_count": 1,
"offset": 0,
"limit": 100
}
}